Special:ActiveUsers "Hide bots" should hide users from any group having the "bot" right
Closed, ResolvedPublic

Description

http://chr.wikipedia.org/wiki/Special:ActiveUsers

I'd likle to be able to hide global bots but also regular users (so I only see active bots if I desire). In addition the ability to hide global sysops and stewards may be considered.

I believe these two check-boxes would greatly inclrease UI when reviewing how active the wiki actually is.


Version: unspecified
Severity: normal

bzimport set Reference to bz36812.
ToAruShiroiNeko created this task.Via LegacyMay 13 2012, 1:05 PM
Snowolf added a comment.Via ConduitMay 13 2012, 1:16 PM

I don't think there's much point in hiding global sysops and stewards, they are active users same as everybody, however global bots should indeed be hidden with the "hide bot" option automatically.

ToAruShiroiNeko added a comment.Via ConduitMay 13 2012, 1:59 PM

Hiding global sysops and stewards has a significant point because I want to know how many "true" users are active on a selected wiki.

For instance if there is no active community besides global sysops and stewards on a wiki, its closure may be proposed.

Krinkle added a comment.Via ConduitMay 13 2012, 11:59 PM

(In reply to comment #3)

Hiding global sysops and stewards has a significant point because I want to
know how many "true" users are active on a selected wiki.

For instance if there is no active community besides global sysops and stewards
on a wiki, its closure may be proposed.

I agree with Snowolf. Contributions by users who have global sysop or steward only count on the local wiki if the user made local contributions. Users with global rights aren't slave bots, they are perfectly normal users who can contribute to a wiki and should be considered part of the local community if he makes a significant number of local edits.

Log actions such as block, revisiondelete or page delete, are not "edits" so those don't add to editcount on which Special:ActiveUsers is based.

ToAruShiroiNeko added a comment.Via ConduitMay 14 2012, 7:36 PM

I can hide administrator edits why is hiding global administrator (global sysop) or steward edits a problem?

This would allow the ability to distinguish local users. This is an important way to distinguish regular users (whom know the language and mainly edit the wiki) and global users (whom do not know the language and do not edit the wiki regularly).

I also requested the ability to hide "non bot" edits so that I can review the entire bot activity.

Krinkle added a comment.Via ConduitMay 15 2012, 9:21 AM

I understand what you're asking and I agree with the purpose, but I disagree about the methods you propose.

Blatantly hiding users just because they have global rights is wrong in so many ways. It doesn't make sense.

You make it sound like all stewards and global sysops speak only one language and don't know or care anything about other cultures.

"Hide bots" should hide any user with the "bot" right. Whether that is a user in the local "bot" group, a user in the global group "bot" or a user in the group "automatic maniacs" on the maniac-wiki.example.org is irrelevant.

Equally, you could hide experienced editors (such as sysops) for reasons such as "trying to discover active contributors that don't have special rights".

But not to distinguish between users who do and don't have global rights, because such distinction cannot be implemented because it does not exist in that form. For instance, if a French contributor is active on fr.wikipedia.org and becomes a steward, should he not be shown on Special:ActiveUsers on fr.wikipedia just because he's a steward? That doesn't make sense.

It could even work against you. If one is trying to discover new contributors that are active, that new contributor can also be someone with steward rights who is helping out for the first time on a small wiki that he speaks the language of.

I'd say fix "Hide bots" to use the user right instead of the user group, so it includes global bots.

And maybe fixup "Hide administrators" to include global sysops and stewards somehow. Although this is complicated since there is no "experienced-user" user right. Maybe use "autoconfirmed" as a way to detect them?

Krinkle added a comment.Via ConduitJun 29 2012, 3:37 AM

Either way, I'm marking this bug FIXED because in the mean time Platonides change set (https://gerrit.wikimedia.org/r/7535) has been improved and merged.

The other discussion brought up here regarding the "admin" link should go into a separate bug. One thing at a time :)

duplicatebug added a comment.Via ConduitAug 6 2012, 7:03 PM
  • Bug 34050 has been marked as a duplicate of this bug. ***
Ricordisamoa added a subscriber: Ricordisamoa.Via WebDec 29 2014, 6:28 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.